Components.utils.import("resource://gre/modules/Services.jsm");

// Content scripts
var sharingpet = {
	
	getJSON: function(url,callback)
	{
		var request = Components.classes["@mozilla.org/xmlextras/xmlhttprequest;1"].createInstance(Components.interfaces.nsIXMLHttpRequest);
		var data = null;
	
		request.onload = function(aEvent) {
		  data = aEvent.target.responseText;
		  callback(data);
		};
		request.onerror = function(aEvent) {
		   //do nothing
		};
		request.open("GET", url, true);
		request.send(null);
		return data;
	},
	update_shops:  function()
	{
		sharingpet.shops = sharingpet.getChar("shops");
		sharingpet.user_id = sharingpet.getChar("user_id");
		sharingpet.last_shop_update = sharingpet.getChar("last_shop_update");
		
		var date = new Date();
		sharingpet.cur_timestamp = date.getTime() / 1000;
		
		if(sharingpet.last_shop_update==0)
		{
			sharingpet.last_shop_update = sharingpet.cur_timestamp;			
		}
				
		if(sharingpet.shops == '' || (sharingpet.cur_timestamp - sharingpet.last_shop_update) >= sharingpet.day_s)
		{
			sharingpet.getJSON(sharingpet.retailersUrl,sharingpet.updating);
		}
		else sharingpet.json = JSON.parse(sharingpet.shops);		
	},
	updating: function(a)
	{
		sharingpet.shops = a;
		sharingpet.prefs.setCharPref("extensions.sharingpet.shops", sharingpet.shops);
		sharingpet.prefs.setCharPref("extensions.sharingpet.last_shop_update", sharingpet.cur_timestamp);
		sharingpet.json = JSON.parse(sharingpet.shops);
	},
	
	
};